include_guard(GLOBAL)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}")

enable_language(ASM)
set(CMAKE_EXECUTABLE_SUFFIX ".elf")

set(_EDX_ESCAPE "[")
set(_ESC_ERR "${_EDX_ESCAPE}31m")
set(_ESC_INFO "${_EDX_ESCAPE}32m")
set(_ESC_RST "${_EDX_ESCAPE}0m")
# for llvm
if ("${CMAKE_C_COMPILER}" MATCHES ".*/clang\\..*")
	set(CLANG 1)
endif()

set(_WARNING_PREFIX "       ${_ESC_ERR}Warning${_ESC_RST}")
if ("$ENV{SDK_TYPE}" STREQUAL "STM32Cube")
	include(${CMAKE_CURRENT_LIST_DIR}/stm32cube.cmake)
elseif("$ENV{SDK_TYPE}" STREQUAL "AirMCU")
	include(${CMAKE_CURRENT_LIST_DIR}/air32.cmake)
elseif("$ENV{SDK_TYPE}" STREQUAL "XHSC")
	include(${CMAKE_CURRENT_LIST_DIR}/xhsc.cmake)
elseif("$ENV{SDK_TYPE}" STREQUAL "GD32")
	include(${CMAKE_CURRENT_LIST_DIR}/gd32.cmake)
endif()
